org.eclipse.graphiti.mm.algorithms.impl

## Class AbstractTextImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl
            - - org.eclipse.graphiti.mm.algorithms.impl.AbstractTextImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AbstractText, GraphicsAlgorithm, AbstractStyle, GraphicsAlgorithmContainer, PropertyContainer

Direct Known Subclasses:
  MultiTextImpl, TextImpl

    public abstract class AbstractTextImpl
    extends GraphicsAlgorithmImpl
    implements AbstractText

An implementation of the model object 'Abstract Text'.

The following features are implemented:

- `Font`
- `Horizontal Alignment`
- `Vertical Alignment`
- `Angle`
- `Value`
- `Style Regions`
- `Rotation`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`Font` `basicGetFont()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.Integer` `getAngle()`
`Font` `getFont()`
`Orientation` `getHorizontalAlignment()`
`java.lang.Double` `getRotation()`
`org.eclipse.emf.common.util.EList<TextStyleRegion>` `getStyleRegions()`
`java.lang.String` `getValue()`
`Orientation` `getVerticalAlignment()`
`void` `setAngle(java.lang.Integer newAngle)`
`void` `setFont(Font newFont)`
`void` `setHorizontalAlignment(Orientation newHorizontalAlignment)`
`void` `setRotation(java.lang.Double newRotation)`
`void` `setValue(java.lang.String newValue)`
`void` `setVerticalAlignment(Orientation newVerticalAlignment)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl

`basicGetBackground, basicGetForeground, basicGetParentGraphicsAlgorithm, basicGetPictogramElement, basicGetRenderingStyle, basicGetStyle, basicSetParentGraphicsAlgorithm, basicSetPictogramElement, basicSetRenderingStyle, eBaseStructuralFeatureID, eBasicRemoveFromContainerFeature, eDerivedStructuralFeatureID, eInverseAdd, getBackground, getFilled, getForeground, getGraphicsAlgorithmChildren, getHeight, getLineStyle, getLineVisible, getLineWidth, getParentGraphicsAlgorithm, getPictogramElement, getRenderingStyle, getStyle, getTransparency, getWidth, getX, getY, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setHeight, setLineStyle, setLineVisible, setLineWidth, setParentGraphicsAlgorithm, setPictogramElement, setRenderingStyle, setStyle, setTransparency, setWidth, setX, setY, unsetFilled, unsetLineVisible`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getFont

    public Font getFont()

Specified by:
  `getFont` in interface `AbstractText`
Returns:
  the value of the 'Font' reference.
See Also:
  `AbstractText.setFont(Font)`, `AlgorithmsPackage.getAbstractText_Font()`

#### basicGetFont

    public Font basicGetFont()

#### setFont

    public void setFont(Font newFont)

Specified by:
  `setFont` in interface `AbstractText`
Parameters:
  `newFont` - the new value of the 'Font' reference.
See Also:
  `AbstractText.getFont()`

#### getHorizontalAlignment

    public Orientation getHorizontalAlignment()

Specified by:
  `getHorizontalAlignment` in interface `AbstractText`
Returns:
  the value of the 'Horizontal Alignment' attribute.
See Also:
  `Orientation`, `AbstractText.setHorizontalAlignment(Orientation)`, `AlgorithmsPackage.getAbstractText_HorizontalAlignment()`

#### setHorizontalAlignment

    public void setHorizontalAlignment(Orientation newHorizontalAlignment)

Specified by:
  `setHorizontalAlignment` in interface `AbstractText`
Parameters:
  `newHorizontalAlignment` - the new value of the 'Horizontal Alignment' attribute.
See Also:
  `Orientation`, `AbstractText.getHorizontalAlignment()`

#### getVerticalAlignment

    public Orientation getVerticalAlignment()

Specified by:
  `getVerticalAlignment` in interface `AbstractText`
Returns:
  the value of the 'Vertical Alignment' attribute.
See Also:
  `Orientation`, `AbstractText.setVerticalAlignment(Orientation)`, `AlgorithmsPackage.getAbstractText_VerticalAlignment()`

#### setVerticalAlignment

    public void setVerticalAlignment(Orientation newVerticalAlignment)

Specified by:
  `setVerticalAlignment` in interface `AbstractText`
Parameters:
  `newVerticalAlignment` - the new value of the 'Vertical Alignment' attribute.
See Also:
  `Orientation`, `AbstractText.getVerticalAlignment()`

#### getAngle

    public java.lang.Integer getAngle()

Specified by:
  `getAngle` in interface `AbstractText`
Returns:
  the value of the 'Angle' attribute.
See Also:
  ``, `AbstractText.setAngle(Integer)`, `AlgorithmsPackage.getAbstractText_Angle()`

#### setAngle

    public void setAngle(java.lang.Integer newAngle)

Specified by:
  `setAngle` in interface `AbstractText`
Parameters:
  `newAngle` - the new value of the 'Angle' attribute.
See Also:
  ``, `AbstractText.getAngle()`

#### getValue

    public java.lang.String getValue()

Specified by:
  `getValue` in interface `AbstractText`
Returns:
  the value of the 'Value' attribute.
See Also:
  `AbstractText.setValue(String)`, `AlgorithmsPackage.getAbstractText_Value()`

#### setValue

    public void setValue(java.lang.String newValue)

Specified by:
  `setValue` in interface `AbstractText`
Parameters:
  `newValue` - the new value of the 'Value' attribute.
See Also:
  `AbstractText.getValue()`

#### getStyleRegions

    public org.eclipse.emf.common.util.EList<TextStyleRegion> getStyleRegions()

Specified by:
  `getStyleRegions` in interface `AbstractText`
Returns:
  the value of the 'Style Regions' containment reference list.
See Also:
  `AlgorithmsPackage.getAbstractText_StyleRegions()`

#### getRotation

    public java.lang.Double getRotation()

Specified by:
  `getRotation` in interface `AbstractText`
Returns:
  the value of the 'Rotation' attribute.
See Also:
  `AbstractText.setRotation(Double)`, `AlgorithmsPackage.getAbstractText_Rotation()`

#### setRotation

    public void setRotation(java.lang.Double newRotation)

Specified by:
  `setRotation` in interface `AbstractText`
Parameters:
  `newRotation` - the new value of the 'Rotation' attribute.
See Also:
  `AbstractText.getRotation()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `GraphicsAlgorithmImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `GraphicsAlgorithmImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `GraphicsAlgorithmImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `GraphicsAlgorithmImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `GraphicsAlgorithmImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `GraphicsAlgorithmImpl`